<?php
/** ----------------------------------------
 *   ループ：foreach文:連想配列の例
 *  2015.08.06 作成 yoshi of CXMedia Inc.
 * ---------------------------------------- */
// 連想配列：野菜の価格
$ary = array(
	"キャベツ"=>100,
	"レタス"  =>200,
	"トマト"  =>300,
	"しいたけ"=>400
	);
/** ------------------------------------------
 *   foreach文の添字と値の利用
 * ------------------------------------------ */
foreach($ary as $idx => $value){
	echo $idx ."は" .$value ."円です<br>";
}
/** ------------------------------------------
 *   foreach文の参照渡し（配列の値を書き換え）
 * ------------------------------------------ */
foreach($ary as &$value){
	//値が200のときは、$aryの値を250に書き換え
	if($value == 200){
		$value = 250;
	}
	echo $value ."円！<br>";
	//$valueの値の参照渡しを解除
	unset($value);
}
// 配列の内容表示（書き換え後）
echo "<pre>";
print_r($ary);
echo "</pre>";
?>
